## org.apache.myfaces.component.html.util
Class MultipartFilter

    java.lang.Object
      org.apache.myfaces.component.html.util.MultipartFilter

All Implemented Interfaces:
  javax.servlet.Filter

public class MultipartFilter
extends java.lang.Object
implements javax.servlet.Filter

This filters is mandatory for the use of many components. It handles the Multipart requests (for file upload) It's used by the components that need javascript libraries

Version:
  $Revision: 167701 $ $Date: 2005-03-20 18:16:08 -0500 (Sun, 20 Mar 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: oros $), Oliver Rossmueller

Constructor Summary
`MultipartFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartFilter

    public MultipartFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)

  Specified by:
    `init` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`